> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset

> Get a single asset by `idOrSlug`. Use `expand` to include related fields such as `addresses`, `chains`, `price`, `market_cap`, and `supply`.



## OpenAPI

````yaml /openapi.json get /v1/assets/{idOrSlug}
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/assets/{idOrSlug}:
    get:
      tags:
        - assets
      summary: Get Asset
      description: >-
        Get a single asset by `idOrSlug`. Use `expand` to include related fields
        such as `addresses`, `chains`, `price`, `market_cap`, and `supply`.
      operationId: AssetController_get_v1
      parameters:
        - name: idOrSlug
          required: true
          in: path
          schema:
            type: string
        - name: expand
          required: false
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - addresses
                - chains
                - addresses.chain
                - markets
                - market_cap
                - ohlcv_last_24_h
                - price
                - reference
                - sector
                - supply
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetResponseBase'
        '400':
          description: Bad Request
        '404':
          description: Not Found
components:
  schemas:
    AssetResponseBase:
      type: object
      properties:
        id:
          type: integer
          minimum: 0
          maximum: 4294967295
        code:
          type: string
          nullable: true
          maxLength: 20
        title:
          type: string
          nullable: true
          maxLength: 100
        slug:
          type: string
          nullable: true
          maxLength: 100
        tag_line:
          type: string
          nullable: true
          maxLength: 255
        description:
          type: string
          nullable: true
          maxLength: 65535
        image_url:
          type: string
          nullable: true
          maxLength: 255
        sector:
          type: string
          nullable: true
          maxLength: 50
        category:
          type: string
          nullable: true
          maxLength: 25
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
        type:
          type: string
          nullable: true
          enum:
            - Infrastructure
            - Application
        market_cap:
          description: Expandable relationship
          allOf:
            - $ref: '#/components/schemas/MarketCap'
        price:
          description: Expandable relationship
          allOf:
            - $ref: '#/components/schemas/Price'
      required:
        - id
        - code
        - title
        - slug
        - tag_line
        - description
        - image_url
        - sector
        - category
        - updated_at
        - type
    MarketCap:
      type: object
      properties:
        asset_id:
          type: integer
          minimum: 0
          maximum: 4294967295
        rank:
          type: integer
          nullable: true
          minimum: 0
          maximum: 4294967295
        usd:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        dominance:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        percent_change_btc_1_h:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        percent_change_btc_24_h:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        percent_change_usd_1_h:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        percent_change_usd_24_h:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        percent_change_eth_1_h:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        percent_change_eth_24_h:
          type: number
          nullable: true
          format: float
          minimum: 1.17549435e-38
          maximum: 3.402823e+38
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
      required:
        - asset_id
        - rank
        - usd
        - dominance
        - percent_change_btc_1_h
        - percent_change_btc_24_h
        - percent_change_usd_1_h
        - percent_change_usd_24_h
        - percent_change_eth_1_h
        - percent_change_eth_24_h
        - updated_at
    Price:
      type: object
      properties:
        asset_id:
          type: integer
          minimum: 0
          maximum: 4294967295
        usd:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        btc:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        eth:
          type: number
          nullable: true
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        sparkline_7d:
          type: string
          nullable: true
          maxLength: 65535
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
      required:
        - asset_id
        - usd
        - btc
        - eth
        - sparkline_7d
        - updated_at
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````